Name:		latexila
Version:	2.4.0
Release:	1%{?dist}
Summary:	Integrated LaTeX Environment for the GNOME desktop

Group:		Applications/Publishing
License:	GPLv3+
URL:		http://projects.gnome.org/latexila/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/2.4/%{name}-%{version}.tar.xz

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gettext gsettings-desktop-schemas-devel
BuildRequires:	cmake glib2-devel itstool
BuildRequires:	pkgconfig(gee-1.0)
BuildRequires:	gtksourceview2-devel >= 2.10
BuildRequires:	desktop-file-utils
BuildRequires:	libgee-devel libxml2-python
BuildRequires:	unique-devel gtkspell-devel

Requires:	hicolor-icon-theme libgee
Requires:	gsettings-desktop-schemas
Requires:	rubber latexmk gtkspell

%description
LaTeXila is an Integrated LaTeX Environment for GNOME. The main features are:
  * Configurable buttons to compile, convert and view a document in one click
  * LaTeX commands auto-completion
  * Symbol tables (Greek letters, arrows, ...)
  * File browser integrated
  * Template managing
  * Menus with the most commonly used LaTeX commands
  * Easy projects management

%prep
%setup -q

%build
# Required Vala versions in Fedora are usually too old to compile Latexila.
# We used the built-in C-generated code
%cmake -DCMAKE_C_FLAGS:STRING="%{optflags}" -DWITH_GNOME=ON -DCOMPILE_SCHEMA=OFF -DBUILD_VALA=OFF .
make VERBOSE=1 %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang %{name}

#Adding folders for .desktop file and icons
for s in 16 22 24 32 48; do
  install -Dp data/images/app/icon$s.png \
  %{buildroot}%{_datadir}/icons/hicolor/${s}x$s/apps/%{name}.png
done	

desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	 %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}

%post
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

if [ $1 -eq 1 ] ; then
	glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%postun
update-desktop-database &> /dev/null || :

if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README NEWS HACKING
%{_mandir}/man1/%{name}.1.*
%{_bindir}/*

%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/22x22/apps/%{name}.png
%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml
%{_datadir}/gnome/help/%{name}

%changelog
* Sun Apr 8 2012 Thibault North <tnorth@fedoraproject.org> - 2.4.0-1
- Update to 2.4.0

* Wed Mar 28 2012 Thibault North <tnorth@fedoraproject.org> - 2.3.1-2
- Fix libgee require

* Mon Mar 5 2012 Thibault North <tnorth@fedoraproject.org> - 2.3.1-1
- Update to 2.3.1

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jan 3 2012 Thibault North <tnorth@fedoraproject.org> - 2.3.0-1
- Update to 2.3.0

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 2.2.2-2
- Rebuild for new libpng

* Sat Oct 15 2011 Thibault North <tnorth@fedoraproject.org> - 2.2.2-1
- Update to 2.2.2

* Sat Aug 27 2011 Thibault North <tnorth@fedoraproject.org> - 2.2.0-1
- Update to 2.2.0

* Tue Jul 12 2011 Thibault North <tnorth@fedoraproject.org> - 2.0.8-1
- Update to 2.0.8

* Thu Apr 7 2011 Thibault North <tnorth@fedoraproject.org> - 2.0.7-1
- Update to 2.0.7

* Sun Mar 20 2011 Thibault North <tnorth@fedoraproject.org> - 2.0.6-1
- Update to 2.0.6

* Tue Feb 15 2011 Thibault North <tnorth@fedoraproject.org> - 2.0.5-1
- Update to 2.0.5, thanks Sébastien Wilmet

* Thu Nov 25 2010 Thibault North <tnorth@fedoraproject.org> - 2.0.1-4
- A few more fixes

* Mon Nov 22 2010 Thibault North <tnorth@fedoraproject.org> - 2.0.1-3
- Use %%find_lang, fixes by Mohamed El Morabity

* Sun Nov 21 2010 Thibault North <tnorth@fedoraproject.org> - 2.0.1-2
- Small fixes

* Sun Nov 21 2010 Sébastien Wilmet <sebastien.wilmet@gmail.com> - 2.0.1-1
- Release 2.0.1

* Sun Nov 14 2010 Thibault North <tnorth@fedoraproject.org> - 2.0.0-1
- Release 2.0

* Mon Mar 1 2010 Sébastien Wilmet <sebastien.wilmet@gmail.com> - 0.2-1
- New upstream release
- Icons support

* Fri Dec 25 2009 Sébastien Wilmet <sebastien.wilmet@gmail.com> - 0.1-1
- Initial package for Fedora
